Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEStreamCipher.VMPC

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCEStreamCipher
                  org.bouncycastle.jce.provider.JCEStreamCipher.VMPC

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEStreamCipher

    public static class JCEStreamCipher.VMPC

extends JCEStreamCipher

VMPC

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEStreamCipher

`JCEStreamCipher.Blowfish_CFB8, JCEStreamCipher.Blowfish_OFB8, JCEStreamCipher.DES_CFB8, JCEStreamCipher.DES_OFB8, JCEStreamCipher.DESede_CFB8, JCEStreamCipher.DESede_OFB8, JCEStreamCipher.HC128, JCEStreamCipher.HC256, JCEStreamCipher.PBEWithSHAAnd128BitRC4, JCEStreamCipher.PBEWithSHAAnd40BitRC4, JCEStreamCipher.RC4, JCEStreamCipher.Salsa20, JCEStreamCipher.Skipjack_CFB8, JCEStreamCipher.Skipjack_OFB8, JCEStreamCipher.Twofish_CFB8, JCEStreamCipher.Twofish_OFB8, JCEStreamCipher.VMPC, JCEStreamCipher.VMPCKSA3`

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`JCEStreamCipher.VMPC()`

Method Summary

Methods inherited from class org.bouncycastle.jce.provider.JCEStreamCipher
`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class javax.crypto.CipherSpi
`engineDoFinal, engineUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEStreamCipher.VMPC

    public JCEStreamCipher.VMPC()

Bouncy Castle Cryptography Library 1.45